Imports System.Runtime.CompilerServices

Public Module DataRowEx
    <Extension()>
    Public Function ItemEx(Of T)(pRow As DataRow, pFieldName As String, Optional pDefaultValue As T = Nothing) As T
        Try
            Return Utils.NotNull(pRow.Item(pFieldName), pDefaultValue)
        Catch ex As Exception
            Return Nothing
        End Try
    End Function
End Module
